DC_USBHID_DEVICE_GET_PID(3)

NAME
dc_usbhid_device_get_pid - Get the product id (PID) of the USB HID device.

LIBRARY
libdivecomputer

SYNOPSIS
#include <libdivecomputer/usbhid.h>
unsigned int
dc_usbhid_device_get_pid(dc_usbhid_device_t *device);

DESCRIPTION
Get the product id (PID) of the USB HID device. Used for displaying. Requires a valid usbhid device of type dc_usbhid_device_t which can be retrieved using dc_usbhid_iterator_new(3).

RETURN VALUES
Returns the product id (PID) of given usbhid_device

SEE ALSO
dc_usbhid_device_get_vid(3), dc_usbhid_iterator_new(3).

AUTHORS
The libdivecomputer library was written by Jef Driesen, jef@libdivecomputer.org.
This manpage is written by Vincent Hagen, vinnie@script4web.nl.